Ticket #38565

menucolorsのパターンに長音"ー"を指定できない

Open Date: 2018-09-01 20:58 Last Update: 2018-10-07 05:44

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed

Details

環境: Windows10 Home
バージョン: 3.6.0-0.9, 3.6.1-0.1(osdnでリリースされたもの)

設定ファイル(Shift-JIS)経由、もしくは'O'コマンド経由でmenucolorsのパターンを指定しようとした際、長音記号"ー"を含むパターンでエラーが出力され、パターンを指定することができません。
そのため、「オペラクローク」「ぼろぼろのケープ」などを指定できなくなります。(「オペラクロ」「ぼろぼろのケ」だけ指定すれば足りるとは言えますが)

'O'経由で長音記号のみのパターンを入力した際、3.6.0-0.9でのエラーメッセージは
Menucolor regex error: regex_error(error_brack): The expression contained mismatched [ and ].--More--

3.6.1-0.1でのエラーメッセージは
Regex error: regex_error(error_brack): The expression contained mismatched [ and ]..--More--

のようになります。

Attachment File List

No attachments

Ticket History (3/4 Histories)

2018-09-01 20:58 Updated by: dplusplus
  • New Ticket "menucolorsのパターンに長音"ー"を指定できない" created
2018-09-02 02:18 Updated by: argrath
  • Owner Update from (None) to argrath
  • Resolution Update from None to Accepted
Comment

確認しました。

3.6.0以降Windows版では正規表現エンジンとしてcpp由来のものが使われていますが、 これがシフトJISに対応していないのが原因です。

2018-09-13 17:47 Updated by: argrath
  • Resolution Update from Accepted to Fixed
  • Milestone Update from (None) to 3.6.1-0.2 (closed)
Comment

eaa7b14で修正しました。

2018-10-07 05:44 Updated by: argrath
  • Ticket Close date is changed to 2018-10-07 05:44
  • Status Update from Open to Closed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login